Package: org.codehaus.groovy.classgen

## [Java] Class ClassCompletionVerifier

- org.codehaus.groovy.classgen.ClassCompletionVerifier

- Checks that a class satisfies various conditions including:

  - Incorrect class or method access modifiers
  - No abstract methods appear in a non-abstract class
  - Existence and correct visibility for inherited members
  - Invalid attempts to override final members

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassCompletionVerifier (SourceUnit source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `ClassNode` | `getClassNode()`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `void` | `visitBinaryExpression(BinaryExpression expression)`
    `` | `void` | `visitCatchStatement(CatchStatement cs)`
    `` | `void` | `visitClass(ClassNode node)`
    `` | `void` | `visitConstantExpression(ConstantExpression expression)`
    `` | `void` | `visitConstructor(ConstructorNode node)`
    `` | `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `void` | `visitField(FieldNode node)`
    `` | `void` | `visitGStringExpression(GStringExpression expression)`
    `` | `void` | `visitMethod(MethodNode node)`
    `` | `void` | `visitMethodCallExpression(MethodCallExpression mce)`
    `` | `void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `visitField, visitMethod, visitPackage, visitReturnStatement, visitConstructor, visitProperty, visitClass, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitCaseStatement, visitExpressionStatement, visitSynchronizedStatement, visitBlockStatement, visitAssertStatement, visitTryCatchFinally, visitCatchStatement, visitDeclarationExpression, visitSwitch, visitWhileLoop, visitForLoop, visitIfElse, visitDoWhileLoop, visitImports, visitAnnotations, visitConstantExpression, visitPropertyExpression, visitListExpression, visitClassExpression, visitArgumentlistExpression, visitClosureExpression, visitMethodCallExpression, visitTupleExpression, visitVariableExpression, visitPrefixExpression, visitShortTernaryExpression, visitRangeExpression, visitCastExpression, visitStaticMethodCallExpression, visitSpreadExpression, visitUnaryPlusExpression, visitGStringExpression, visitClosureListExpression, visitFieldExpression, visitBinaryExpression, visitMapEntryExpression, visitConstructorCallExpression, visitPostfixExpression, visitBooleanExpression, visitArrayExpression, visitNotExpression, visitTernaryExpression, visitUnaryMinusExpression, visitAttributeExpression, visitMapExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitSpreadMapExpression, visitBytecodeExpression, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class CodeVisitorSupport` | `visitConstantExpression, visitPropertyExpression, visitListExpression, visitReturnStatement, visitClassExpression, visitBreakStatement, visitContinueStatement, visitThrowStatement, visitCaseStatement, visitExpressionStatement, visitSynchronizedStatement, visitArgumentlistExpression, visitClosureExpression, visitMethodCallExpression, visitTupleExpression, visitBlockStatement, visitVariableExpression, visitAssertStatement, visitTryCatchFinally, visitPrefixExpression, visitCatchStatement, visitShortTernaryExpression, visitRangeExpression, visitCastExpression, visitStaticMethodCallExpression, visitSpreadExpression, visitUnaryPlusExpression, visitGStringExpression, visitClosureListExpression, visitFieldExpression, visitDeclarationExpression, visitBinaryExpression, visitMapEntryExpression, visitConstructorCallExpression, visitPostfixExpression, visitBooleanExpression, visitArrayExpression, visitNotExpression, visitTernaryExpression, visitUnaryMinusExpression, visitAttributeExpression, visitMapExpression, visitMethodPointerExpression, visitBitwiseNegationExpression, visitSpreadMapExpression, visitBytecodeExpression, visitSwitch, visitWhileLoop, visitForLoop, visitIfElse, visitDoWhileLoop, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClassCompletionVerifier(SourceUnit source)

  - ### Method Detail

    - #### public ClassNode getClassNode()

    - #### protected SourceUnit getSourceUnit()

    - #### public void visitBinaryExpression(BinaryExpression expression)

    - #### public void visitCatchStatement(CatchStatement cs)

    - #### public void visitClass(ClassNode node)

    - #### public void visitConstantExpression(ConstantExpression expression)

    - #### public void visitConstructor(ConstructorNode node)

    - #### @Override public void visitDeclarationExpression(DeclarationExpression expression)

    - #### public void visitField(FieldNode node)

    - #### public void visitGStringExpression(GStringExpression expression)

    - #### public void visitMethod(MethodNode node)

    - #### public void visitMethodCallExpression(MethodCallExpression mce)

    - #### public void visitProperty(PropertyNode node)